Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1717636 - clusteroperator/operator-lifecycle-manager does not define any related resources
Summary: clusteroperator/operator-lifecycle-manager does not define any related resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.0
Assignee: Jeff Peeler
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On:
Blocks: 1745272
TreeView+ depends on / blocked
 
Reported: 2019-06-05 20:40 UTC by Luis Sanchez
Modified: 2019-10-16 06:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1745272 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:31:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1018 0 None None None 2019-08-29 20:36:58 UTC
Github operator-framework operator-lifecycle-manager pull 960 0 None None None 2019-07-23 21:32:19 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:31:47 UTC

Description Luis Sanchez 2019-06-05 20:40:45 UTC
Description of problem:

The operator-lifecycle-manager ClusterOperator resource does not specify any related resources. This hinders problem-determination as tools cannot automatically collect the information needed to debug issues.

The operator should specify, at minimum, a namespace and a configuration resource to collect.

Here is an example from kube-apisever:

kind: ClusterOperator
metadata:
  name: kube-apiserver
status:
  relatedObjects:
    - group: operator.openshift.io
      name: cluster
      resource: kubeapiservers
    - group: ''
      name: openshift-config
      resource: namespaces
    - group: ''
      name: openshift-config-managed
      resource: namespaces
    - group: ''
      name: openshift-kube-apiserver-operator
      resource: namespaces
    - group: ''
      name: openshift-kube-apiserver
      resource: namespaces


A new e2e test designed to catch this deficiency will white-list this component initially. This component should be removed from the white-list as part of resolving this issue.

https://github.com/openshift/origin/blob/master/test/extended/operators/clusteroperators.go (link will be active once https://github.com/openshift/origin/pull/23044 merges)

Comment 2 Salvatore Colangelo 2019-08-12 09:31:58 UTC
oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.1.10    True        False         151m    Cluster version is 4.1.10


[scolange@scolange verification-tests]$ oc get ClusterOperator kube-apiserver
NAME             VERSION   AVAILABLE   PROGRESSING   DEGRADED   SINCE
kube-apiserver   4.1.10    True        False         False      164m


scolange@scolange verification-tests]$ oc describe ClusterOperator kube-apiserver
Name:         kube-apiserver
Namespace:    
Labels:       <none>
Annotations:  <none>
API Version:  config.openshift.io/v1
Kind:         ClusterOperator
Metadata:
  Creation Timestamp:  2019-08-12T06:40:53Z
  Generation:          1
  Resource Version:    17205
  Self Link:           /apis/config.openshift.io/v1/clusteroperators/kube-apiserver
  UID:                 21c00ecc-bccc-11e9-8add-02ca0e9e91b6
Spec:
Status:
  Conditions:
    Last Transition Time:  2019-08-12T06:55:47Z
    Reason:                AsExpected
    Status:                False
    Type:                  Degraded
    Last Transition Time:  2019-08-12T06:59:20Z
    Message:               Progressing: 3 nodes are at revision 7
    Reason:                AsExpected
    Status:                False
    Type:                  Progressing
    Last Transition Time:  2019-08-12T06:43:50Z
    Message:               Available: 3 nodes are active; 3 nodes are at revision 7
    Reason:                AsExpected
    Status:                True
    Type:                  Available
    Last Transition Time:  2019-08-12T06:40:53Z
    Reason:                AsExpected
    Status:                True
    Type:                  Upgradeable
  Extension:               <nil>
  Related Objects:
    Group:     operator.openshift.io
    Name:      cluster
    Resource:  kubeapiservers
    Group:     
    Name:      openshift-config
    Resource:  namespaces
    Group:     
    Name:      openshift-config-managed
    Resource:  namespaces
    Group:     
    Name:      openshift-kube-apiserver-operator
    Resource:  namespaces
    Group:     
    Name:      openshift-kube-apiserver
    Resource:  namespaces
  Versions:
    Name:     raw-internal
    Version:  4.1.10
    Name:     operator
    Version:  4.1.10
    Name:     kube-apiserver
    Version:  1.13.4
Events:       <none>

Comment 4 Salvatore Colangelo 2019-08-12 10:09:29 UTC
No Relared Object for OLM 

[scolange@scolange verification-tests]$ oc get ClusterOperator operator-lifecycle-manager
NAME                         VERSION   AVAILABLE   PROGRESSING   DEGRADED   SINCE
operator-lifecycle-manager   4.1.10    True        False         False      3h14m
[scolange@scolange verification-tests]$ oc describe ClusterOperator operator-lifecycle-manager
Name:         operator-lifecycle-manager
Namespace:    
Labels:       <none>
Annotations:  <none>
API Version:  config.openshift.io/v1
Kind:         ClusterOperator
Metadata:
  Creation Timestamp:  2019-08-12T06:42:00Z
  Generation:          1
  Resource Version:    9130
  Self Link:           /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager
  UID:                 49b30061-bccc-11e9-8add-02ca0e9e91b6
Spec:
Status:
  Conditions:
    Last Transition Time:  2019-08-12T06:41:59Z
    Status:                False
    Type:                  Degraded
    Last Transition Time:  2019-08-12T06:47:05Z
    Message:               Deployed 0.9.0
    Status:                False
    Type:                  Progressing
    Last Transition Time:  2019-08-12T06:41:59Z
    Status:                True
    Type:                  Available
  Extension:               <nil>
  Versions:
    Name:     operator
    Version:  4.1.10
    Name:     operator-lifecycle-manager
    Version:  0.9.0
Events:       <none>

Comment 9 Salvatore Colangelo 2019-08-27 09:10:17 UTC
4.1

Using project "openshift-marketplace".
[scolange@scolange .kube]$ oc describe ClusterOperator operator-lifecycle-manager
Name:         operator-lifecycle-manager
Namespace:    
Labels:       <none>
Annotations:  <none>
API Version:  config.openshift.io/v1
Kind:         ClusterOperator
Metadata:
  Creation Timestamp:  2019-08-26T06:38:40Z
  Generation:          1
  Resource Version:    60650
  Self Link:           /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager
  UID:                 23db67b5-c7cc-11e9-a8a1-02cfa4cb3b44
Spec:
Status:
  Conditions:
    Last Transition Time:  2019-08-26T06:38:39Z
    Status:                False
    Type:                  Degraded
    Last Transition Time:  2019-08-26T08:25:25Z
    Message:               Deployed 0.9.0
    Status:                False
    Type:                  Progressing
    Last Transition Time:  2019-08-26T06:38:39Z
    Status:                True
    Type:                  Available
  Extension:               <nil>
  Versions:
    Name:     operator
    Version:  4.1.13
    Name:     operator-lifecycle-manager
    Version:  0.9.0
Events:       <none>
[scolange@scolange .kube]$ oc get ClusterOperator operator-lifecycle-manager
NAME                         VERSION   AVAILABLE   PROGRESSING   DEGRADED   SINCE
operator-lifecycle-manager   4.1.13    True        False         False      26h

No Related Objects present

4.2


[scolange@scolange .kube]$ oc describe ClusterOperator operator-lifecycle-manager
Name:         operator-lifecycle-manager
Namespace:    
Labels:       <none>
Annotations:  <none>
API Version:  config.openshift.io/v1
Kind:         ClusterOperator
Metadata:
  Creation Timestamp:  2019-08-20T11:17:18Z
  Generation:          1
  Resource Version:    5619236
  Self Link:           /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager
  UID:                 121fa597-c33c-11e9-a948-fa163e4a50bd
Spec:
Status:
  Conditions:
    Last Transition Time:  2019-08-20T11:17:19Z
    Status:                False
    Type:                  Degraded
    Last Transition Time:  2019-08-27T05:33:36Z
    Message:               Deployed 0.11.0
    Status:                False
    Type:                  Progressing
    Last Transition Time:  2019-08-20T11:17:19Z
    Status:                True
    Type:                  Available
    Last Transition Time:  2019-08-20T11:17:19Z
    Status:                True
    Type:                  Upgradeable
  Extension:               <nil>
  Related Objects:
    Group:      operators.coreos.com
    Name:       
    Namespace:  openshift-operator-lifecycle-manager
    Resource:   OperatorGroup
    Group:      operators.coreos.com
    Name:       
    Namespace:  openshift-operator-lifecycle-manager
    Resource:   ClusterServiceVersion
    Group:      
    Name:       openshift-operator-lifecycle-manager
    Resource:   namespaces
  Versions:
    Name:     operator
    Version:  4.2.0-0.nightly-2019-08-26-235330
    Name:     operator-lifecycle-manager
    Version:  0.11.0
Events:       <none>




[scolange@scolange .kube]$ oc get ClusterOperator operator-lifecycle-manager
NAME                         VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
operator-lifecycle-manager   4.2.0-0.nightly-2019-08-26-235330   True        False         False      6d21h

Comment 12 Jeff Peeler 2019-08-28 13:55:02 UTC
This was incorrectly changed to 4.1.z, that bug already exists as a blocker.

Comment 15 Bruno Andrade 2019-09-06 15:37:10 UTC
Cluster version: 4.2.0-0.nightly-2019-09-06-073347
OLM version: 0.11.0
git commit: 09537286f6e8ca771f99287b3d09e6e595f5b8e2


The related objects are listed but it seems to be wrong are shown below:

1) OperatorGroup based on our understanding, should be olm-operators instead of 'operator-lifecycle-manager'

oc describe ClusterOperator operator-lifecycle-manager
Name:         operator-lifecycle-manager
Namespace:    
Labels:       <none>
Annotations:  <none>
API Version:  config.openshift.io/v1
Kind:         ClusterOperator
Metadata:
  Creation Timestamp:  2019-09-06T14:12:19Z
  Generation:          1
  Resource Version:    11272
  Self Link:           /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager
  UID:                 566db7df-d0b0-11e9-bfbf-0af1679bda2e
Spec:
Status:
  Conditions:
    Last Transition Time:  2019-09-06T14:12:19Z
    Status:                False
    Type:                  Degraded
    Last Transition Time:  2019-09-06T14:17:24Z
    Message:               Deployed 0.11.0
    Status:                False
    Type:                  Progressing
    Last Transition Time:  2019-09-06T14:12:19Z
    Status:                True
    Type:                  Available
    Last Transition Time:  2019-09-06T14:12:19Z
    Status:                True
    Type:                  Upgradeable
  Extension:               <nil>
  Related Objects:
    Group:      operators.coreos.com
    Name:       operator-lifecycle-manager
    Namespace:  openshift-operator-lifecycle-manager
    Resource:   OperatorGroup
    Group:      operators.coreos.com
    Name:       operator-lifecycle-manager
    Namespace:  openshift-operator-lifecycle-manager
    Resource:   ClusterServiceVersion
    Group:      
    Name:       openshift-operator-lifecycle-manager
    Resource:   namespaces
  Versions:
    Name:     operator
    Version:  4.2.0-0.nightly-2019-09-06-073347
    Name:     operator-lifecycle-manager
    Version:  0.11.0
Events:       <none>

2) The CSV operator-lifecycle-manager does not exist on openshift-operator-lifecycle-manager namespace, shouldn't be packageserver instead?

oc get csv -n openshift-operator-lifecycle-manager
NAME            DISPLAY          VERSION   REPLACES   PHASE
packageserver   Package Server   0.11.0               Succeeded

Change status to 'ASSIGNED' based on my understanding, correct me if I'm wrong.

Comment 16 Jeff Peeler 2019-09-06 16:00:21 UTC
Please ensure that you're testing the correct version that includes the latest fix. Based on the git commit you tested with:

c799a513 (jpeeler/add-fields-related-objects-2, add-fields-related-objects-2) fix(clusteroperator): update status after initial creation
ba9049b7 fix(clusteroperator): fix naming of related objects
8fede0b7 add default for packagemanifests/icon subresource
db97a174 Merge pull request #1023 from tkashem/bz-1744245
2b6038f4 Merge pull request #1025 from njhale/clean-env
b10307f7 fix(init): cleanup leftover cross-namespace  ownerreferences
eee9e140 feat(readme) : Ajustments
f5a4fd8d feat(github) : Add github files in order to follow org standard
8432e24f Bugzilla 1744245: Subscription should not point to deleted ip
a011531d Drop the hard-coded DNS suffix
09537286 Merge pull request #1011 from skitt/pgrep-no-q

To make it even easier, the latest change doesn't include operator groups. So if you see that in the output, the version of OLM needs to be updated.

Comment 17 Bruno Andrade 2019-09-06 16:44:23 UTC
Ok, I will wait for the next payloads and check if it contains the proper commits included. Thanks

Comment 18 Bruno Andrade 2019-09-09 16:38:40 UTC
oc describe ClusterOperator operator-lifecycle-manager

LGTM, marking as VERIFIED.

Cluster Version: 4.2.0-0.nightly-2019-09-09-073137
OLM version: 0.11.0
git commit: d6056ddf181798e740178d2c6cad76d60bd0b52c

Steps used to verify:
oc describe ClusterOperator operator-lifecycle-manager
Name:         operator-lifecycle-manager
Namespace:    
Labels:       <none>
Annotations:  <none>
API Version:  config.openshift.io/v1
Kind:         ClusterOperator
Metadata:
  Creation Timestamp:  2019-09-09T13:15:29Z
  Generation:          1
  Resource Version:    11677
  Self Link:           /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager
  UID:                 e56bcf9a-d303-11e9-a590-023497575af2
Spec:
Status:
  Conditions:
    Last Transition Time:  2019-09-09T13:15:29Z
    Status:                False
    Type:                  Degraded
    Last Transition Time:  2019-09-09T13:20:35Z
    Message:               Deployed 0.11.0
    Status:                False
    Type:                  Progressing
    Last Transition Time:  2019-09-09T13:15:29Z
    Status:                True
    Type:                  Available
    Last Transition Time:  2019-09-09T13:15:29Z
    Status:                True
    Type:                  Upgradeable
  Extension:               <nil>
  Related Objects:
    Group:      operators.coreos.com
    Name:       packageserver
    Namespace:  openshift-operator-lifecycle-manager
    Resource:   ClusterServiceVersion
    Group:      
    Name:       openshift-operator-lifecycle-manager
    Resource:   namespaces
  Versions:
    Name:     operator
    Version:  4.2.0-0.nightly-2019-09-09-073137
    Name:     operator-lifecycle-manager
    Version:  0.11.0
Events:       <none>

Comment 20 errata-xmlrpc 2019-10-16 06:31:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.